Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class Envelope

    java.lang.Object
      com.rabbitmq.client.Envelope

    public class Envelope

extends java.lang.Object

Encapsulates a group of parameters used for AMQP's Basic methods

Constructor Summary
`Envelope(long deliveryTag, boolean redeliver, java.lang.String exchange, java.lang.String routingKey)` Construct an `Envelope` with the specified construction parameters

Method Summary
`long` | `getDeliveryTag()` Get the delivery tag included in this parameter envelope
`java.lang.String` | `getExchange()` Get the name of the exchange included in this parameter envelope
`java.lang.String` | `getRoutingKey()` Get the routing key included in this parameter envelope
`boolean` | `isRedeliver()` Get the redelivery flag included in this parameter envelope

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Envelope

    public Envelope(long deliveryTag,
                    boolean redeliver,
                    java.lang.String exchange,
                    java.lang.String routingKey)

  Construct an `Envelope` with the specified construction parameters

  Parameters:
    `deliveryTag` - the delivery tag
    `redeliver` - true if this is a redelivery following a failed ack
    `exchange` - the exchange used for the current operation
    `routingKey` - the associated routing key

Method Detail

### getDeliveryTag

    public long getDeliveryTag()

  Get the delivery tag included in this parameter envelope

  Returns:
    the delivery tag

### isRedeliver

    public boolean isRedeliver()

  Get the redelivery flag included in this parameter envelope

  Returns:
    the redelivery flag

### getExchange

    public java.lang.String getExchange()

  Get the name of the exchange included in this parameter envelope

  Returns:
    the exchange

### getRoutingKey

    public java.lang.String getRoutingKey()

  Get the routing key included in this parameter envelope

  Returns:
    the routing key

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD